## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where more backports are needed.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-keyvault-keys

Name:           python-%{srcname}
Version:        4.5.1
Release:        %autorelease
Summary:        Microsoft Azure Key Vault Keys Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-identity)
BuildRequires:  python3dist(azure-mgmt-core)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(dateutils)
BuildRequires:  python3dist(python-dotenv)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Microsoft Azure Key Vault Keys Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pyproject_check_import

# NOTE(mhayden): Skip some tests that require network connectivity to Azure's
# APIs. The challenge_auth/parse_id tests require parameterized, which depends on the
# orhpaned nose2.
%pytest --disable-warnings \
    --ignore-glob=tests/test_*crypto*.py \
    --ignore-glob=tests/test_key*.py \
    --ignore-glob=tests/test_samples_keys*.py \
    --ignore-glob=tests/test_challenge_auth*.py \
    --ignore-glob=tests/test_parse_id.py \
    -k "not test_parse_key_id_with_version"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jun 22 2022 Major Hayden <major@redhat.com> 4.5.1-4
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 4.5.1-3
- Rebuilt for Python 3.11

* Fri Jun 03 2022 Major Hayden <major@redhat.com> 4.5.1-2
- Remove parameterized test dependency, skip some tests

* Tue Apr 26 2022 Major Hayden <major@mhtx.net> 4.5.1-1
- Update to 4.5.1

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> 4.5.0~b6-3
- Disable EPEL testing

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> 4.5.0~b6-2
- Add aiohttp to BuildRequires for tests

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 4.5.0~b6-1
- Update to 4.5.0b6

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.5.0~b4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 4.5.0~b4-1
- Update to 4.5.0b4

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 4.4.0-1
- Update to 4.4.0; add tests

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 4.3.1-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> 4.3.1-1
- Initial import (#1971766)
